# gdcm::DICOMDIRGenerator Class Reference

DICOMDIRGenerator class This is a STD-GEN-CD DICOMDIR generator. ref: PS 3.11-2008 Annex D (Normative) - General Purpose CD-R and DVD Interchange Profiles. More...

`#include <gdcmDICOMDIRGenerator.h>`

List of all members.

## Public Types
typedef Directory::FilenamesType | FilenamesType
## Public Member Functions
| DICOMDIRGenerator ()
| ~DICOMDIRGenerator ()
bool | Generate ()
| Main function to generate the DICOMDIR.
File & | GetFile ()
void | SetDescriptor (const char *d)
void | SetFile (const File &f)
| Set/Get file. The DICOMDIR file will be valid once a call to Generate has been done.
void | SetFilenames (FilenamesType const &fns)
| Set the list of filenames from which the DICOMDIR should be generated from.
## Protected Member Functions
bool | AddImageDirectoryRecord ()
bool | AddPatientDirectoryRecord ()
bool | AddSeriesDirectoryRecord ()
bool | AddStudyDirectoryRecord ()
Scanner & | GetScanner ()

## Detailed Description

DICOMDIRGenerator class This is a STD-GEN-CD DICOMDIR generator. ref: PS 3.11-2008 Annex D (Normative) - General Purpose CD-R and DVD Interchange Profiles.

Note:
  PS 3.11 - 2008 / D.3.2 Physical Medium And Medium Format The STD-GEN-CD and STD-GEN-SEC-CD application profiles require the 120 mm CD-R physical medium with the ISO/IEC 9660 Media Format, as defined in PS3.12. See also PS 3.12 - 2008 / Annex F 120mm CD-R Medium (Normative) and PS 3.10 - 2008 / 8 DICOM File Service / 8.1 FILE-SET

Warning:
  : PS 3.11 - 2008 / D.3.1 SOP Classes and Transfer Syntaxes Composite Image & Stand-alone Storage are required to be stored as Explicit VR Little Endian Uncompressed (1.2.840.10008.1.2.1). When a DICOM file is found using another Transfer Syntax the generator will simply stops.
  - Input files should be Explicit VR Little Endian
  - filenames should be valid VR::CS value (16 bytes, upper case ...)

Bug:
  : There is a current limitation of not handling Referenced SOP Class UID / Referenced SOP Instance UID simply because the gdcm::Scanner does not allow us See PS 3.11 / Table D.3-2 STD-GEN Additional DICOMDIR Keys

## Member Typedef Documentation

typedef Directory::FilenamesType gdcm::DICOMDIRGenerator::FilenamesType

## Constructor & Destructor Documentation

gdcm::DICOMDIRGenerator::DICOMDIRGenerator | ( |  | ) |

gdcm::DICOMDIRGenerator::~DICOMDIRGenerator | ( |  | ) |

## Member Function Documentation

bool gdcm::DICOMDIRGenerator::AddImageDirectoryRecord | ( |  | ) | `[protected]`

bool gdcm::DICOMDIRGenerator::AddPatientDirectoryRecord | ( |  | ) | `[protected]`

bool gdcm::DICOMDIRGenerator::AddSeriesDirectoryRecord | ( |  | ) | `[protected]`

bool gdcm::DICOMDIRGenerator::AddStudyDirectoryRecord | ( |  | ) | `[protected]`

bool gdcm::DICOMDIRGenerator::Generate | ( |  | ) |

Main function to generate the DICOMDIR.

File& gdcm::DICOMDIRGenerator::GetFile | ( |  | ) |

Scanner& gdcm::DICOMDIRGenerator::GetScanner | ( |  | ) | `[protected]`

void gdcm::DICOMDIRGenerator::SetDescriptor | ( | const char * | d | ) |

Set the File Set ID.

Warning:
  this need to be a valid VR::CS value

void gdcm::DICOMDIRGenerator::SetFile | ( | const File & | f | ) |

Set/Get file. The DICOMDIR file will be valid once a call to Generate has been done.

void gdcm::DICOMDIRGenerator::SetFilenames | ( | FilenamesType const & | fns | ) |

Set the list of filenames from which the DICOMDIR should be generated from.

The documentation for this class was generated from the following file:

- gdcmDICOMDIRGenerator.h